Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network70.152.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
70.152.0.0
Broadcast address
70.155.255.255
First usable
70.152.0.1
Last usable
70.155.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 46980000 · Integer 1184366592 to 1184628735
Reverse DNS zones
152.70.in-addr.arpa
153.70.in-addr.arpa
154.70.in-addr.arpa
155.70.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000110.10011000.00000000.0000000070.152.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network01000110.10011000.00000000.0000000070.152.0.0
Broadcast01000110.10011011.11111111.1111111170.155.255.255
Split into smaller subnets/23

70.152.0.0/14 makes 512 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
170.152.0.0/2370.152.0.1 to 70.152.1.25470.152.1.255510
270.152.2.0/2370.152.2.1 to 70.152.3.25470.152.3.255510
370.152.4.0/2370.152.4.1 to 70.152.5.25470.152.5.255510
470.152.6.0/2370.152.6.1 to 70.152.7.25470.152.7.255510
570.152.8.0/2370.152.8.1 to 70.152.9.25470.152.9.255510
670.152.10.0/2370.152.10.1 to 70.152.11.25470.152.11.255510
770.152.12.0/2370.152.12.1 to 70.152.13.25470.152.13.255510
870.152.14.0/2370.152.14.1 to 70.152.15.25470.152.15.255510
970.152.16.0/2370.152.16.1 to 70.152.17.25470.152.17.255510
1070.152.18.0/2370.152.18.1 to 70.152.19.25470.152.19.255510
1170.152.20.0/2370.152.20.1 to 70.152.21.25470.152.21.255510
1270.152.22.0/2370.152.22.1 to 70.152.23.25470.152.23.255510
1370.152.24.0/2370.152.24.1 to 70.152.25.25470.152.25.255510
1470.152.26.0/2370.152.26.1 to 70.152.27.25470.152.27.255510
1570.152.28.0/2370.152.28.1 to 70.152.29.25470.152.29.255510
1670.152.30.0/2370.152.30.1 to 70.152.31.25470.152.31.255510
1770.152.32.0/2370.152.32.1 to 70.152.33.25470.152.33.255510
1870.152.34.0/2370.152.34.1 to 70.152.35.25470.152.35.255510
1970.152.36.0/2370.152.36.1 to 70.152.37.25470.152.37.255510
2070.152.38.0/2370.152.38.1 to 70.152.39.25470.152.39.255510
2170.152.40.0/2370.152.40.1 to 70.152.41.25470.152.41.255510
2270.152.42.0/2370.152.42.1 to 70.152.43.25470.152.43.255510
2370.152.44.0/2370.152.44.1 to 70.152.45.25470.152.45.255510
2470.152.46.0/2370.152.46.1 to 70.152.47.25470.152.47.255510
2570.152.48.0/2370.152.48.1 to 70.152.49.25470.152.49.255510
2670.152.50.0/2370.152.50.1 to 70.152.51.25470.152.51.255510
2770.152.52.0/2370.152.52.1 to 70.152.53.25470.152.53.255510
2870.152.54.0/2370.152.54.1 to 70.152.55.25470.152.55.255510
2970.152.56.0/2370.152.56.1 to 70.152.57.25470.152.57.255510
3070.152.58.0/2370.152.58.1 to 70.152.59.25470.152.59.255510
3170.152.60.0/2370.152.60.1 to 70.152.61.25470.152.61.255510
3270.152.62.0/2370.152.62.1 to 70.152.63.25470.152.63.255510
3370.152.64.0/2370.152.64.1 to 70.152.65.25470.152.65.255510
3470.152.66.0/2370.152.66.1 to 70.152.67.25470.152.67.255510
3570.152.68.0/2370.152.68.1 to 70.152.69.25470.152.69.255510
3670.152.70.0/2370.152.70.1 to 70.152.71.25470.152.71.255510
3770.152.72.0/2370.152.72.1 to 70.152.73.25470.152.73.255510
3870.152.74.0/2370.152.74.1 to 70.152.75.25470.152.75.255510
3970.152.76.0/2370.152.76.1 to 70.152.77.25470.152.77.255510
4070.152.78.0/2370.152.78.1 to 70.152.79.25470.152.79.255510
4170.152.80.0/2370.152.80.1 to 70.152.81.25470.152.81.255510
4270.152.82.0/2370.152.82.1 to 70.152.83.25470.152.83.255510
4370.152.84.0/2370.152.84.1 to 70.152.85.25470.152.85.255510
4470.152.86.0/2370.152.86.1 to 70.152.87.25470.152.87.255510
4570.152.88.0/2370.152.88.1 to 70.152.89.25470.152.89.255510
4670.152.90.0/2370.152.90.1 to 70.152.91.25470.152.91.255510
4770.152.92.0/2370.152.92.1 to 70.152.93.25470.152.93.255510
4870.152.94.0/2370.152.94.1 to 70.152.95.25470.152.95.255510
4970.152.96.0/2370.152.96.1 to 70.152.97.25470.152.97.255510
5070.152.98.0/2370.152.98.1 to 70.152.99.25470.152.99.255510
5170.152.100.0/2370.152.100.1 to 70.152.101.25470.152.101.255510
5270.152.102.0/2370.152.102.1 to 70.152.103.25470.152.103.255510
5370.152.104.0/2370.152.104.1 to 70.152.105.25470.152.105.255510
5470.152.106.0/2370.152.106.1 to 70.152.107.25470.152.107.255510
5570.152.108.0/2370.152.108.1 to 70.152.109.25470.152.109.255510
5670.152.110.0/2370.152.110.1 to 70.152.111.25470.152.111.255510
5770.152.112.0/2370.152.112.1 to 70.152.113.25470.152.113.255510
5870.152.114.0/2370.152.114.1 to 70.152.115.25470.152.115.255510
5970.152.116.0/2370.152.116.1 to 70.152.117.25470.152.117.255510
6070.152.118.0/2370.152.118.1 to 70.152.119.25470.152.119.255510
6170.152.120.0/2370.152.120.1 to 70.152.121.25470.152.121.255510
6270.152.122.0/2370.152.122.1 to 70.152.123.25470.152.123.255510
6370.152.124.0/2370.152.124.1 to 70.152.125.25470.152.125.255510
6470.152.126.0/2370.152.126.1 to 70.152.127.25470.152.127.255510
6570.152.128.0/2370.152.128.1 to 70.152.129.25470.152.129.255510
6670.152.130.0/2370.152.130.1 to 70.152.131.25470.152.131.255510
6770.152.132.0/2370.152.132.1 to 70.152.133.25470.152.133.255510
6870.152.134.0/2370.152.134.1 to 70.152.135.25470.152.135.255510
6970.152.136.0/2370.152.136.1 to 70.152.137.25470.152.137.255510
7070.152.138.0/2370.152.138.1 to 70.152.139.25470.152.139.255510
7170.152.140.0/2370.152.140.1 to 70.152.141.25470.152.141.255510
7270.152.142.0/2370.152.142.1 to 70.152.143.25470.152.143.255510
7370.152.144.0/2370.152.144.1 to 70.152.145.25470.152.145.255510
7470.152.146.0/2370.152.146.1 to 70.152.147.25470.152.147.255510
7570.152.148.0/2370.152.148.1 to 70.152.149.25470.152.149.255510
7670.152.150.0/2370.152.150.1 to 70.152.151.25470.152.151.255510
7770.152.152.0/2370.152.152.1 to 70.152.153.25470.152.153.255510
7870.152.154.0/2370.152.154.1 to 70.152.155.25470.152.155.255510
7970.152.156.0/2370.152.156.1 to 70.152.157.25470.152.157.255510
8070.152.158.0/2370.152.158.1 to 70.152.159.25470.152.159.255510
8170.152.160.0/2370.152.160.1 to 70.152.161.25470.152.161.255510
8270.152.162.0/2370.152.162.1 to 70.152.163.25470.152.163.255510
8370.152.164.0/2370.152.164.1 to 70.152.165.25470.152.165.255510
8470.152.166.0/2370.152.166.1 to 70.152.167.25470.152.167.255510
8570.152.168.0/2370.152.168.1 to 70.152.169.25470.152.169.255510
8670.152.170.0/2370.152.170.1 to 70.152.171.25470.152.171.255510
8770.152.172.0/2370.152.172.1 to 70.152.173.25470.152.173.255510
8870.152.174.0/2370.152.174.1 to 70.152.175.25470.152.175.255510
8970.152.176.0/2370.152.176.1 to 70.152.177.25470.152.177.255510
9070.152.178.0/2370.152.178.1 to 70.152.179.25470.152.179.255510
9170.152.180.0/2370.152.180.1 to 70.152.181.25470.152.181.255510
9270.152.182.0/2370.152.182.1 to 70.152.183.25470.152.183.255510
9370.152.184.0/2370.152.184.1 to 70.152.185.25470.152.185.255510
9470.152.186.0/2370.152.186.1 to 70.152.187.25470.152.187.255510
9570.152.188.0/2370.152.188.1 to 70.152.189.25470.152.189.255510
9670.152.190.0/2370.152.190.1 to 70.152.191.25470.152.191.255510
9770.152.192.0/2370.152.192.1 to 70.152.193.25470.152.193.255510
9870.152.194.0/2370.152.194.1 to 70.152.195.25470.152.195.255510
9970.152.196.0/2370.152.196.1 to 70.152.197.25470.152.197.255510
10070.152.198.0/2370.152.198.1 to 70.152.199.25470.152.199.255510
10170.152.200.0/2370.152.200.1 to 70.152.201.25470.152.201.255510
10270.152.202.0/2370.152.202.1 to 70.152.203.25470.152.203.255510
10370.152.204.0/2370.152.204.1 to 70.152.205.25470.152.205.255510
10470.152.206.0/2370.152.206.1 to 70.152.207.25470.152.207.255510
10570.152.208.0/2370.152.208.1 to 70.152.209.25470.152.209.255510
10670.152.210.0/2370.152.210.1 to 70.152.211.25470.152.211.255510
10770.152.212.0/2370.152.212.1 to 70.152.213.25470.152.213.255510
10870.152.214.0/2370.152.214.1 to 70.152.215.25470.152.215.255510
10970.152.216.0/2370.152.216.1 to 70.152.217.25470.152.217.255510
11070.152.218.0/2370.152.218.1 to 70.152.219.25470.152.219.255510
11170.152.220.0/2370.152.220.1 to 70.152.221.25470.152.221.255510
11270.152.222.0/2370.152.222.1 to 70.152.223.25470.152.223.255510
11370.152.224.0/2370.152.224.1 to 70.152.225.25470.152.225.255510
11470.152.226.0/2370.152.226.1 to 70.152.227.25470.152.227.255510
11570.152.228.0/2370.152.228.1 to 70.152.229.25470.152.229.255510
11670.152.230.0/2370.152.230.1 to 70.152.231.25470.152.231.255510
11770.152.232.0/2370.152.232.1 to 70.152.233.25470.152.233.255510
11870.152.234.0/2370.152.234.1 to 70.152.235.25470.152.235.255510
11970.152.236.0/2370.152.236.1 to 70.152.237.25470.152.237.255510
12070.152.238.0/2370.152.238.1 to 70.152.239.25470.152.239.255510
12170.152.240.0/2370.152.240.1 to 70.152.241.25470.152.241.255510
12270.152.242.0/2370.152.242.1 to 70.152.243.25470.152.243.255510
12370.152.244.0/2370.152.244.1 to 70.152.245.25470.152.245.255510
12470.152.246.0/2370.152.246.1 to 70.152.247.25470.152.247.255510
12570.152.248.0/2370.152.248.1 to 70.152.249.25470.152.249.255510
12670.152.250.0/2370.152.250.1 to 70.152.251.25470.152.251.255510
12770.152.252.0/2370.152.252.1 to 70.152.253.25470.152.253.255510
12870.152.254.0/2370.152.254.1 to 70.152.255.25470.152.255.255510
12970.153.0.0/2370.153.0.1 to 70.153.1.25470.153.1.255510
13070.153.2.0/2370.153.2.1 to 70.153.3.25470.153.3.255510
13170.153.4.0/2370.153.4.1 to 70.153.5.25470.153.5.255510
13270.153.6.0/2370.153.6.1 to 70.153.7.25470.153.7.255510
13370.153.8.0/2370.153.8.1 to 70.153.9.25470.153.9.255510
13470.153.10.0/2370.153.10.1 to 70.153.11.25470.153.11.255510
13570.153.12.0/2370.153.12.1 to 70.153.13.25470.153.13.255510
13670.153.14.0/2370.153.14.1 to 70.153.15.25470.153.15.255510
13770.153.16.0/2370.153.16.1 to 70.153.17.25470.153.17.255510
13870.153.18.0/2370.153.18.1 to 70.153.19.25470.153.19.255510
13970.153.20.0/2370.153.20.1 to 70.153.21.25470.153.21.255510
14070.153.22.0/2370.153.22.1 to 70.153.23.25470.153.23.255510
14170.153.24.0/2370.153.24.1 to 70.153.25.25470.153.25.255510
14270.153.26.0/2370.153.26.1 to 70.153.27.25470.153.27.255510
14370.153.28.0/2370.153.28.1 to 70.153.29.25470.153.29.255510
14470.153.30.0/2370.153.30.1 to 70.153.31.25470.153.31.255510
14570.153.32.0/2370.153.32.1 to 70.153.33.25470.153.33.255510
14670.153.34.0/2370.153.34.1 to 70.153.35.25470.153.35.255510
14770.153.36.0/2370.153.36.1 to 70.153.37.25470.153.37.255510
14870.153.38.0/2370.153.38.1 to 70.153.39.25470.153.39.255510
14970.153.40.0/2370.153.40.1 to 70.153.41.25470.153.41.255510
15070.153.42.0/2370.153.42.1 to 70.153.43.25470.153.43.255510
15170.153.44.0/2370.153.44.1 to 70.153.45.25470.153.45.255510
15270.153.46.0/2370.153.46.1 to 70.153.47.25470.153.47.255510
15370.153.48.0/2370.153.48.1 to 70.153.49.25470.153.49.255510
15470.153.50.0/2370.153.50.1 to 70.153.51.25470.153.51.255510
15570.153.52.0/2370.153.52.1 to 70.153.53.25470.153.53.255510
15670.153.54.0/2370.153.54.1 to 70.153.55.25470.153.55.255510
15770.153.56.0/2370.153.56.1 to 70.153.57.25470.153.57.255510
15870.153.58.0/2370.153.58.1 to 70.153.59.25470.153.59.255510
15970.153.60.0/2370.153.60.1 to 70.153.61.25470.153.61.255510
16070.153.62.0/2370.153.62.1 to 70.153.63.25470.153.63.255510
16170.153.64.0/2370.153.64.1 to 70.153.65.25470.153.65.255510
16270.153.66.0/2370.153.66.1 to 70.153.67.25470.153.67.255510
16370.153.68.0/2370.153.68.1 to 70.153.69.25470.153.69.255510
16470.153.70.0/2370.153.70.1 to 70.153.71.25470.153.71.255510
16570.153.72.0/2370.153.72.1 to 70.153.73.25470.153.73.255510
16670.153.74.0/2370.153.74.1 to 70.153.75.25470.153.75.255510
16770.153.76.0/2370.153.76.1 to 70.153.77.25470.153.77.255510
16870.153.78.0/2370.153.78.1 to 70.153.79.25470.153.79.255510
16970.153.80.0/2370.153.80.1 to 70.153.81.25470.153.81.255510
17070.153.82.0/2370.153.82.1 to 70.153.83.25470.153.83.255510
17170.153.84.0/2370.153.84.1 to 70.153.85.25470.153.85.255510
17270.153.86.0/2370.153.86.1 to 70.153.87.25470.153.87.255510
17370.153.88.0/2370.153.88.1 to 70.153.89.25470.153.89.255510
17470.153.90.0/2370.153.90.1 to 70.153.91.25470.153.91.255510
17570.153.92.0/2370.153.92.1 to 70.153.93.25470.153.93.255510
17670.153.94.0/2370.153.94.1 to 70.153.95.25470.153.95.255510
17770.153.96.0/2370.153.96.1 to 70.153.97.25470.153.97.255510
17870.153.98.0/2370.153.98.1 to 70.153.99.25470.153.99.255510
17970.153.100.0/2370.153.100.1 to 70.153.101.25470.153.101.255510
18070.153.102.0/2370.153.102.1 to 70.153.103.25470.153.103.255510
18170.153.104.0/2370.153.104.1 to 70.153.105.25470.153.105.255510
18270.153.106.0/2370.153.106.1 to 70.153.107.25470.153.107.255510
18370.153.108.0/2370.153.108.1 to 70.153.109.25470.153.109.255510
18470.153.110.0/2370.153.110.1 to 70.153.111.25470.153.111.255510
18570.153.112.0/2370.153.112.1 to 70.153.113.25470.153.113.255510
18670.153.114.0/2370.153.114.1 to 70.153.115.25470.153.115.255510
18770.153.116.0/2370.153.116.1 to 70.153.117.25470.153.117.255510
18870.153.118.0/2370.153.118.1 to 70.153.119.25470.153.119.255510
18970.153.120.0/2370.153.120.1 to 70.153.121.25470.153.121.255510
19070.153.122.0/2370.153.122.1 to 70.153.123.25470.153.123.255510
19170.153.124.0/2370.153.124.1 to 70.153.125.25470.153.125.255510
19270.153.126.0/2370.153.126.1 to 70.153.127.25470.153.127.255510
19370.153.128.0/2370.153.128.1 to 70.153.129.25470.153.129.255510
19470.153.130.0/2370.153.130.1 to 70.153.131.25470.153.131.255510
19570.153.132.0/2370.153.132.1 to 70.153.133.25470.153.133.255510
19670.153.134.0/2370.153.134.1 to 70.153.135.25470.153.135.255510
19770.153.136.0/2370.153.136.1 to 70.153.137.25470.153.137.255510
19870.153.138.0/2370.153.138.1 to 70.153.139.25470.153.139.255510
19970.153.140.0/2370.153.140.1 to 70.153.141.25470.153.141.255510
20070.153.142.0/2370.153.142.1 to 70.153.143.25470.153.143.255510
20170.153.144.0/2370.153.144.1 to 70.153.145.25470.153.145.255510
20270.153.146.0/2370.153.146.1 to 70.153.147.25470.153.147.255510
20370.153.148.0/2370.153.148.1 to 70.153.149.25470.153.149.255510
20470.153.150.0/2370.153.150.1 to 70.153.151.25470.153.151.255510
20570.153.152.0/2370.153.152.1 to 70.153.153.25470.153.153.255510
20670.153.154.0/2370.153.154.1 to 70.153.155.25470.153.155.255510
20770.153.156.0/2370.153.156.1 to 70.153.157.25470.153.157.255510
20870.153.158.0/2370.153.158.1 to 70.153.159.25470.153.159.255510
20970.153.160.0/2370.153.160.1 to 70.153.161.25470.153.161.255510
21070.153.162.0/2370.153.162.1 to 70.153.163.25470.153.163.255510
21170.153.164.0/2370.153.164.1 to 70.153.165.25470.153.165.255510
21270.153.166.0/2370.153.166.1 to 70.153.167.25470.153.167.255510
21370.153.168.0/2370.153.168.1 to 70.153.169.25470.153.169.255510
21470.153.170.0/2370.153.170.1 to 70.153.171.25470.153.171.255510
21570.153.172.0/2370.153.172.1 to 70.153.173.25470.153.173.255510
21670.153.174.0/2370.153.174.1 to 70.153.175.25470.153.175.255510
21770.153.176.0/2370.153.176.1 to 70.153.177.25470.153.177.255510
21870.153.178.0/2370.153.178.1 to 70.153.179.25470.153.179.255510
21970.153.180.0/2370.153.180.1 to 70.153.181.25470.153.181.255510
22070.153.182.0/2370.153.182.1 to 70.153.183.25470.153.183.255510
22170.153.184.0/2370.153.184.1 to 70.153.185.25470.153.185.255510
22270.153.186.0/2370.153.186.1 to 70.153.187.25470.153.187.255510
22370.153.188.0/2370.153.188.1 to 70.153.189.25470.153.189.255510
22470.153.190.0/2370.153.190.1 to 70.153.191.25470.153.191.255510
22570.153.192.0/2370.153.192.1 to 70.153.193.25470.153.193.255510
22670.153.194.0/2370.153.194.1 to 70.153.195.25470.153.195.255510
22770.153.196.0/2370.153.196.1 to 70.153.197.25470.153.197.255510
22870.153.198.0/2370.153.198.1 to 70.153.199.25470.153.199.255510
22970.153.200.0/2370.153.200.1 to 70.153.201.25470.153.201.255510
23070.153.202.0/2370.153.202.1 to 70.153.203.25470.153.203.255510
23170.153.204.0/2370.153.204.1 to 70.153.205.25470.153.205.255510
23270.153.206.0/2370.153.206.1 to 70.153.207.25470.153.207.255510
23370.153.208.0/2370.153.208.1 to 70.153.209.25470.153.209.255510
23470.153.210.0/2370.153.210.1 to 70.153.211.25470.153.211.255510
23570.153.212.0/2370.153.212.1 to 70.153.213.25470.153.213.255510
23670.153.214.0/2370.153.214.1 to 70.153.215.25470.153.215.255510
23770.153.216.0/2370.153.216.1 to 70.153.217.25470.153.217.255510
23870.153.218.0/2370.153.218.1 to 70.153.219.25470.153.219.255510
23970.153.220.0/2370.153.220.1 to 70.153.221.25470.153.221.255510
24070.153.222.0/2370.153.222.1 to 70.153.223.25470.153.223.255510
24170.153.224.0/2370.153.224.1 to 70.153.225.25470.153.225.255510
24270.153.226.0/2370.153.226.1 to 70.153.227.25470.153.227.255510
24370.153.228.0/2370.153.228.1 to 70.153.229.25470.153.229.255510
24470.153.230.0/2370.153.230.1 to 70.153.231.25470.153.231.255510
24570.153.232.0/2370.153.232.1 to 70.153.233.25470.153.233.255510
24670.153.234.0/2370.153.234.1 to 70.153.235.25470.153.235.255510
24770.153.236.0/2370.153.236.1 to 70.153.237.25470.153.237.255510
24870.153.238.0/2370.153.238.1 to 70.153.239.25470.153.239.255510
24970.153.240.0/2370.153.240.1 to 70.153.241.25470.153.241.255510
25070.153.242.0/2370.153.242.1 to 70.153.243.25470.153.243.255510
25170.153.244.0/2370.153.244.1 to 70.153.245.25470.153.245.255510
25270.153.246.0/2370.153.246.1 to 70.153.247.25470.153.247.255510
25370.153.248.0/2370.153.248.1 to 70.153.249.25470.153.249.255510
25470.153.250.0/2370.153.250.1 to 70.153.251.25470.153.251.255510
25570.153.252.0/2370.153.252.1 to 70.153.253.25470.153.253.255510
25670.153.254.0/2370.153.254.1 to 70.153.255.25470.153.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses